Bug 838249 - pysvn bundles pycxx
pysvn bundles pycxx
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pysvn (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caitlyn O'Hanna
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-07 17:22 EDT by John Morris
Modified: 2013-08-07 11:30 EDT (History)
4 users (show)

See Also:
Fixed In Version: pysvn-1.7.6-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 10:55:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Morris 2012-07-07 17:22:21 EDT
The 'pysvn' package bundles the PyCXX libraries.  This came up in the package review for FreeCAD [1] which bundles PyCXX libraries upstream, and in the package review for python-pycxx [2] which unbundles the libraries.

There was a 2008 discussion in the pysvn review ticket [3] where this bundling was discussed, and there were good arguments to leave it bundled.  In the more recent discussions, it was speculated that the Fedora community is more strict about bundled libraries today.

Now that there's a separate python-pycxx package, it should be pretty easy to build against.  There's a pkg-config .pc file in there, and it's probably a one- or two-liner somewhere to point the build system at the PyCXX sources.

It was also pointed out that if pysvn continues to bundle PyCXX, a virtual provides could be added, maybe something like:

Provides: bundled(python-pycxx)

[1] https://bugzilla.rpmfusion.org/show_bug.cgi?id=2300
[2] https://bugzilla.redhat.com/show_bug.cgi?id=835432
[3] https://bugzilla.redhat.com/show_bug.cgi?id=428718#c12
Comment 1 Fedora End Of Life 2013-04-03 13:12:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 John Morris 2013-08-07 00:06:46 EDT
The PyCXX package has been updated and a new python3 package is now built.  Rebuilding pysvn against this new package is a good chance to build python3 packages, and at the same time comply with Fedora Packaging Guidelines!  ;)

    John
Comment 3 Stephen Gallagher 2013-08-07 10:55:10 EDT
Fixed in Rawhide. I also added a Python 3.x subpackage as requested.

Thanks for the bug report!
Comment 4 John Morris 2013-08-07 11:30:17 EDT
Thanks, Stephen, for the quick fix!

Note You need to log in before you can comment on or make changes to this bug.